SystemOrganization addCategory: #ConfigurationOfPierWysiwygEditor!

Object subclass: #ConfigurationOfPierWysiwygEditor
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfPierWysiwygEditor'!

!ConfigurationOfPierWysiwygEditor class methodsFor: 'development support' stamp: 'NickAger 7/13/2011 17:38'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfPierWysiwygEditor class methodsFor: 'private' stamp: 'NickAger 7/13/2011 17:38'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfPierWysiwygEditor class methodsFor: 'private' stamp: 'NickAger 7/13/2011 17:38'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfPierWysiwygEditor class methodsFor: 'private' stamp: 'NickAger 7/13/2011 17:38'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfPierWysiwygEditor class methodsFor: 'metacello tool support' stamp: 'NickAger 7/13/2011 17:38'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPierWysiwygEditor class methodsFor: 'loading' stamp: 'NickAger 7/13/2011 17:38'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfPierWysiwygEditor class methodsFor: 'loading' stamp: 'NickAger 7/13/2011 17:38'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfPierWysiwygEditor class methodsFor: 'loading' stamp: 'NickAger 7/13/2011 17:38'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfPierWysiwygEditor class methodsFor: 'accessing' stamp: 'NickAger 7/13/2011 17:38'!
project

	^self new project! !

!ConfigurationOfPierWysiwygEditor class methodsFor: 'development support' stamp: 'NickAger 7/13/2011 17:38'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfPierWysiwygEditor methodsFor: 'baselines' stamp: 'NickAger 7/13/2011 18:12'!
baseline100: spec 
        <version: '1.0-baseline'>
        
        spec for: #common do: [
                spec blessing: #baseline.
                spec repository: 'http://source.lukas-renggli.ch/pier2addons'. 
               spec project: 'Javascript-Jasmine' with: [
				spec
					package: 'Javascript-Jasmine';
					repository: 'http://www.squeaksource.com/Seaside30Addons'].
                spec 
                        package: 'Pier-Wysiwyg';
                        package: 'Pier-Tests-Wysiwyg' with: [ spec requires: #('Pier-Wysiwyg' 'Javascript-Jasmine') ].
                spec
                        group: 'default' with: #('Core');
                        group: 'Core' with: #('Pier-Wysiwyg');
                        group: 'Tests' with: #('Pier-Tests-Wysiwyg'). ].! !

!ConfigurationOfPierWysiwygEditor methodsFor: 'accessing' stamp: 'NickAger 7/13/2011 17:38'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !
